# Subscriptions

- [Prices](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/prices.md): Streams all symbols' price information on Pacifica as they update
- [Orderbook](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/orderbook.md): Streams book data for given symbol at a set aggregation level as they update
- [Best bid offer (BBO)](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/best-bid-offer-bbo.md): Real-time updates of the best bid and ask prices and amounts for a specific symbol. Updates are sent whenever the top of book changes.
- [Trades](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/trades.md): Streams all trades on the taker side as they occur in a chosen market.
- [Candle](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/candle.md): Streams candle information for given symbol and candle time interval
- [Mark price candle](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/mark-price-candle.md): Streams real-time mark price candlestick data for a specific market.
- [Account margin](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-margin.md): Streams all changes made to an account's margin mode in any market.
- [Account leverage](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-leverage.md): Streams all changes made to an account's max leverage any market.
- [Account info](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-info.md): Streams all changes made to an account's overall info such as equity, balance, order count, etc.
- [Account positions](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-positions.md): Streams all changes made to an account's positions in any market. A position that has been fully closed will be streamed and return empty.
- [Account order updates](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-order-updates.md): Streams the amount and nature of changes made to any of an account's open orders in any market.
- [Account trades](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-trades.md): Streams all trades that take place for an account
- [Account transfers](https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-transfers.md): Streams deposit, withdrawal, and transfer events for an account.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
